Package org.apache.sling.installer.api.tasks

# Interface RetryHandler

@ProviderType public interface RetryHandler
The retry handler should be informed by external services whenever something in the system changed which might make it worth to retry a failed installed. The installer retries all unprocessed resources whenever this retry handler is notified to reschedule. For example a bundle listener listening for updates/installs/removals of bundles can inform the retry handler.

Since:
  1.2

## Method Summary

Modifier and Type
Method
Description
`void`
`scheduleRetry()`
Schedule a retry.

## Method Details

### scheduleRetry

void scheduleRetry()
Schedule a retry.